package com.hzjt.domain;

import lombok.Data;

import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

public class Storageserver implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    private Integer serverid;
    private String servername;
    private String servergroup;
    private String servertype ;
    private Integer serverstatus;
    private String serveurl ;
    private String serveip;
    private String serverport;
    private String serveruser;
    private String serverpassword;
    private String creator;
    private Date createtime;
    private String remark;

    public Integer getServerid() {
        return serverid;
    }

    public void setServerid(Integer serverid) {
        this.serverid = serverid;
    }

    public String getServername() {
        return servername;
    }

    public void setServername(String servername) {
        this.servername = servername;
    }

    public String getServergroup() {
        return servergroup;
    }

    public void setServergroup(String servergroup) {
        this.servergroup = servergroup;
    }

    public String getServertype() {
        return servertype;
    }

    public void setServertype(String servertype) {
        this.servertype = servertype;
    }

    public Integer getServerstatus() {
        return serverstatus;
    }

    public void setServerstatus(Integer serverstatus) {
        this.serverstatus = serverstatus;
    }

    public String getServeurl() {
        return serveurl;
    }

    public void setServeurl(String serveurl) {
        this.serveurl = serveurl;
    }

    public String getServeip() {
        return serveip;
    }

    public void setServeip(String serveip) {
        this.serveip = serveip;
    }

    public String getServerport() {
        return serverport;
    }

    public void setServerport(String serverport) {
        this.serverport = serverport;
    }

    public String getServeruser() {
        return serveruser;
    }

    public void setServeruser(String serveruser) {
        this.serveruser = serveruser;
    }

    public String getServerpassword() {
        return serverpassword;
    }

    public void setServerpassword(String serverpassword) {
        this.serverpassword = serverpassword;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
